# Module support/Serializable

### Index

### Classes

SerializableBase

### Interfaces

PropertyDef
Serializable

### Type Aliases

PropertyDefs
PropertyDefSerializeMode
SerializableClass
SerializeMode

### Functions

assignProperties
assignPropertiesAsync
filterJSONProperties
getDefault
getDefaults
getSerializableProperties
isDefault
isSerializable
serializable
shouldExcludeDefaults
toPropertyDef